Package: org.codehaus.groovy.tools.shell

## [Groovy] Class RigidParser

- org.codehaus.groovy.tools.shell.RigidParser

- All Implemented Interfaces and Traits:
    Parsing

      final class RigidParser

  A more rigid parser which catches more syntax errors, but also tends to barf on stuff that is really valid from time to time.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `SCRIPT_FILENAME`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ParseStatus` | `parse(Collection<String> buffer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String SCRIPT_FILENAME

  - ### Method Detail

    - #### ParseStatus parse(Collection<String> buffer)